### Hierarchy

- RTCStatsProvider
  - RTCIceGatherer

## Index

### Properties

- RTCStatsProvider
- component
- onerror
- onlocalcandidate

### Methods

- addEventListener
- createAssociatedGatherer
- dispatchEvent
- getLocalCandidates
- getLocalParameters
- getStats
- msGetStats
- removeEventListener

## Properties

### RTCStatsProvider

RTCStatsProvider: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11792

#### Type declaration

- ##### constructor: function

  - new __type(): RTCStatsProvider
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11793

    #### Returns RTCStatsProvider

- ##### prototype: RTCStatsProvider

### component

component: RTCIceComponent

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11501

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11502

### onlocalcandidate

onlocalcandidate: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11503

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11507

  #### Type parameters

  - #### K: keyof RTCIceGathererEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCIceGatherer, ev: RTCIceGathererEventMap[K]): any

      - #### Parameters

        - ##### this: RTCIceGatherer

        - ##### ev: RTCIceGathererEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11508

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### createAssociatedGatherer

- createAssociatedGatherer(): RTCIceGatherer

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11504

  #### Returns RTCIceGatherer

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### getLocalCandidates

- getLocalCandidates(): RTCIceCandidateDictionary[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11505

  #### Returns RTCIceCandidateDictionary[]

### getLocalParameters

- getLocalParameters(): RTCIceParameters

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11506

  #### Returns RTCIceParameters

### getStats

- getStats(): Promise<RTCStatsReport>

- Inherited from RTCStatsProvider.getStats

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11788

  #### Returns Promise<RTCStatsReport>

### msGetStats

- msGetStats(): Promise<RTCStatsReport>

- Inherited from RTCStatsProvider.msGetStats

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11789

  #### Returns Promise<RTCStatsReport>

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11509

  #### Type parameters

  - #### K: keyof RTCIceGathererEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: RTCIceGatherer, ev: RTCIceGathererEventMap[K]): any

      - #### Parameters

        - ##### this: RTCIceGatherer

        - ##### ev: RTCIceGathererEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11510

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc